JHTTPD(8)

NAME
jhttpd - server to provide HTTP services to clients

SYNOPSIS

jhttpd [-C <configuration file>] [-d] [-h] [-H <host interface address>] [-M <max connections>] [-n] [-P <port>] [-t <timeout>] [-V] [<document root>]

DESCRIPTION

jhttpd is a server daemon that services HTTP requests.

A full explanation of the capabilities requires reading the jhttpd.conf(5) manual page, however there are simple configurations that just map HTTP requests to filenames which can be used without any configuration files.

OPTIONS

--daemon
    If specified, this parameter causes the server to operate as a daemon. That is, it detaches itself and runs in the background, fielding requests on the appropriate port. Operating the server as a daemon is the normal way of running jhttpd for long term use.

--version
    -V Prints the program version number.

--configuration-file <configuration file>
    --config-file <configuration file> -C <configuration file> The file specified contains the configuration details required by the server. The information in this file includes server-specific information. See jhttpd.conf for more information. The normal configuration file name is /etc/jhttpd/jhttpd.conf and then all the .conf files in /etc/jhttpd/conf.d.

-d  This increases the debuglevel from 0 to 3 (by specifying the option multiple times). The default value if this parameter is not specified is zero. The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, no debug information will be logged but statistical information about connections will still be logged. Levels above 0 will generate larger amounts of log data, and should only be used when investigating a problem. Level 2 will log the entire request and responce, and Level 3 is designed for use only by developers and generates HUGE amounts of log data, some of which is extremely cryptic. Note that this is one of the very few options which cannot be specified in the jhttpd.conf file.

--help
    -h Print a summary of command line options.

-P <port number>
    port number is a TCP port jhttpd should listen on. The default value is 80 if uid is 0 and 8008 otherwise.

FILES

/etc/mime.types
    This is the default file loaded to map file extensions to mime information.

/etc/jhttpd/jhttpd.conf
    This is the default location of the jhttpd.conf(5) server configuration file. This file describes all the services the server is to make available to clients. See jhttpd.conf(5) for more information.

/etc/init.d/jhttpd
    This is the default location of the file to start the jhttpd service.

/etc/jhttpd/conf.d
    This is the default location for extra jhttpd.conf(5) server configuration files. All files placed in this directory ending with .conf will be loaded by the default init.d startup file.

VERSION

This man page is correct for version 1.0.0 of the jhttpd server.

DIAGNOSTICS

Diagnostics issued by the server are logged either to stderr, or if --daemon has been specified (and daemon mode has been started) logged to the /dev/log (aka. syslogd) service.

Each diagnostic starts with a single word, identifying what that diagnostic is for:

CONNECT
    This means a connection was established.

FREE
    This means a connection was terminated.

REQ This means a request was processed, this is followed by the operation name (Ie. GET, HEAD, TRACE).

ERREQ
    This means an "error" request was processed, note that this can mean that the other side did something wrong (Ie. a malformed request) or not (Ie. a redirect).

BLOCKED
    This means a request was blocked, this can happen at either the connection or the request level.

CONF-*
    This means an error was encountered when processing the configuration, this can happen at either the connection or the request level.

READY
    This means the server has finished initializing and is now ready to serve requests.

SIGNALS

All signals are either ignored, like SIGHUP, or will cause jhttpd to log a message and exit.

The debug log level of jhttpd may be raised or lowered using jcntl(1) program and the "DBG" and "UNDBG" commands.

The jhttpd service may be told to close all listening sockets and exit when it has finished servicing it's current connections using jcntl(1) program and the "CLOSE" command. This is also available as service jhttpd softshutdown.

The jhttpd service may be told to close all listening sockets and exit when it has finished servicing it's current connections using jcntl(1) program and the "CLOSE" command. This is also available as service jhttpd softshutdown.

SEE ALSO

jhttpd.conf(5), jcntl(1), jconf(1), and the Internet RFC's: rfc2616.txt, rfc2617.txt, rfc1123.txt, rfc2068.txt.

AUTHOR

The jhttpd software is written by James Antill, and is available from http://www.and.org/jhttpd.